Returns the transaction status
Can be used when the participant is unsure whether a transaction response was sent to their webhook or is still pending. The transaction status is either ok, error, or pending.
Path Parameters
- Type: stringtransaction
_id requiredThe
transaction_idof a transaction
Responses
- application/json
- 403
Forbidden (e.g: wrong API Key)
- 404
Transaction id not found (or info not available for the owner of the API Key)
Request Example for get/transactions/{transaction_id} /status_by_id
curl 'https://api.shinkansen.finance/v1/transactions/{transaction_id}/status_by_id' \
--header 'Shinkansen-Api-Key: YOUR_SECRET_TOKEN'
{
"shinkansen_transaction_status": "pending"
}